Summary:	The GNU version of the awk text processing utility
Name:		gawk
Version:	4.1.1
Release:	1
License:	GPLv3+
Group:		Text tools
URL:		http://www.gnu.org/software/gawk/gawk.html
Source0:	http://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.xz
Source1:	http://ftp.gnu.org/gnu/gawk/%{name}-3.1.6-ps.tar.gz
Provides:	awk
Provides:	/usr/bin/awk
Provides:	/usr/bin/gawk
Provides:	/bin/awk
Provides:	/bin/gawk
BuildRequires:	byacc
BuildRequires:	gettext-devel
BuildRequires:	libsigsegv-devel >= 2.8

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%package	doc
Summary:	Documentation about the GNU version of the awk text processing utility
Group:		Books/Computer books

%description	doc
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

%prep
%setup -q -b 1
mv ../%{name}-3.1.6/doc/*.ps doc
rm -rf ../%{name}-3.1.6

%build
%configure2_5x \
	--with-libsigsegv-prefix=%{_prefix} \
	--disable-rpath

%make

%check
make check

%install
%makeinstall_std bindir=/bin

%find_lang %{name}

mkdir -p %{buildroot}%{_bindir}
cd %{buildroot}%{_datadir}
mkdir awk && for i in *.awk;do
  mv $i awk
done
cd %{buildroot}%{_mandir}/man1
ln -s gawk.1 awk.1
cd %{buildroot}%{_bindir}
ln -s ../../bin/awk %{buildroot}%{_bindir}/awk
ln -s ../../bin/gawk %{buildroot}%{_bindir}/gawk

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) /bin/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*
%{_libdir}/gawk
%{_libdir}/awk
%{_datadir}/awk
%{_includedir}/*.h

%files doc
%doc README INSTALL NEWS
%doc README_d POSIX.STD doc/*.ps


%changelog
* Thu Jul 10 2014 Tigro <ashejn@gmail.com> 4.1.1-1
+ Revision: 8bb3ede
- pack some files


